summarylogtreecommitdiffstats
path: root/crm_report.in
diff options
context:
space:
mode:
authorBrian Bidulock2017-05-19 08:17:45 -0600
committerBrian Bidulock2017-05-19 08:17:45 -0600
commita3673c1518cec00d2dea61f8499cbe4ad1577869 (patch)
tree723a1602e84b00f5e616acac42e29c26fe402db6 /crm_report.in
parent8175bba38b1aabcde5640f42e9e89437edc367ee (diff)
downloadaur-a3673c1518cec00d2dea61f8499cbe4ad1577869.tar.gz
establish sysusers and tmpfiles
Diffstat (limited to 'crm_report.in')
-rw-r--r--crm_report.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/crm_report.in b/crm_report.in
new file mode 100644
index 000000000000..c5dff3bdd4ae
--- /dev/null
+++ b/crm_report.in
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Copyright (C) 2007 Dejan Muhamedagic <dmuhamedagic@suse.com>
+# Copyright (C) 2015 Kristoffer Gronlund <kgronlund@suse.com>
+# Copyright (C) 2015 Gao,Yan <ygao@suse.com>
+#
+# Replaced with crm report
+PARENT_COMMAND="$(ps -o comm= $PPID)"
+PROG="$(basename "$0")"
+
+die() {
+ echo "$PROG: $*"
+ exit 1
+}
+[ "$(basename "$PARENT_COMMAND")" = "crm" ] && die "called itself in a loop, aborting"
+if which crm > /dev/null 2>&1; then
+ crm report "$@"
+elif [ -x /usr/sbin/crm ]; then
+ /usr/sbin/crm report "$@"
+else
+ #die "crm_report has been deprecated: Please install crmsh, which replaces it"
+ /usr/sbin/crm_report.pacemaker "$@"
+fi
+